name: Run Scan

on:
  workflow_dispatch:

jobs:
  run-renovate:
    runs-on: ubuntu-latest
    steps:
      - uses: https://gitea.t000-n.de/t.behrendt/k_deploy_workflows/.gitea/actions/extract-namespace-from-repo-name@c41eeb249e8a47e009c5f070d71f167dd1d39760 # 0.0.7
        id: namespace
        with:
          repo: ${{ github.repository }}
      - uses: azure/setup-kubectl@15650b3ad78fff148532a140b8a4c821796b2d7b # v5.0.0
      - uses: azure/k8s-set-context@ae59a723ba9abe7a9655538854a025448dbab4aa # v4.0.2
        with:
          method: kubeconfig
          kubeconfig: ${{ secrets.KUBECONFIG }}
      - run: |
          kubectl -n photoprism create job --from=cronjob/backup backup-photoprism-${{ github.run_id }}
